Zapier
Test a Zapier connection
Resolves the system.context primitive and returns the connected user, organization and credential scopes. Requires the system context primitive scope (or primitives:*); the current workspace identity is determined by the credential.
GET
/
zapier
/
auth
/
test
Test a Zapier connection
curl --request GET \
--url https://api.gratona.com/v3/zapier/auth/test \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.gratona.com/v3/zapier/auth/test"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gratona.com/v3/zapier/auth/test', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v3/zapier/auth/test",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v3/zapier/auth/test"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gratona.com/v3/zapier/auth/test")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v3/zapier/auth/test")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"user_id": 42,
"user_email": "admin@example.org",
"user_name": "Jane Admin",
"organization": "Example Nonprofit",
"scopes": [
"<string>"
]
}{
"message": "Unauthorized",
"status": "error"
}{
"success": false,
"errors": [
{
"code": "INSUFFICIENT_SCOPE",
"message": "Required scope is missing.",
"required_scope": "schema:read",
"available_scopes": [
"<string>"
],
"required_permission_groups": [
[
"<string>"
]
]
}
]
}Authorizations
bearerAuthapiKeyAuth
Passport bearer token authentication for legacy admin sessions.
Response
Connected workspace identity.
Authenticated user identifier.
Example:
42
Authenticated user email.
Example:
"admin@example.org"
Authenticated user display name.
Example:
"Jane Admin"
Connected organization name.
Example:
"Example Nonprofit"
Scopes granted to this credential.
⌘I
Test a Zapier connection
curl --request GET \
--url https://api.gratona.com/v3/zapier/auth/test \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.gratona.com/v3/zapier/auth/test"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gratona.com/v3/zapier/auth/test', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v3/zapier/auth/test",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v3/zapier/auth/test"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gratona.com/v3/zapier/auth/test")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v3/zapier/auth/test")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"user_id": 42,
"user_email": "admin@example.org",
"user_name": "Jane Admin",
"organization": "Example Nonprofit",
"scopes": [
"<string>"
]
}{
"message": "Unauthorized",
"status": "error"
}{
"success": false,
"errors": [
{
"code": "INSUFFICIENT_SCOPE",
"message": "Required scope is missing.",
"required_scope": "schema:read",
"available_scopes": [
"<string>"
],
"required_permission_groups": [
[
"<string>"
]
]
}
]
}